Bug 822332 - btrfs: map_private_extent_buffer: BUG: unable to handle kernel NULL pointer dereference at (null)
btrfs: map_private_extent_buffer: BUG: unable to handle kernel NULL pointer d...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
abrt_hash:bc4e1390f1236e1da185173543d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 01:32 EDT by efreeti
Modified: 2015-05-17 21:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:35:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.77 KB, text/plain)
2012-05-17 01:32 EDT, efreeti
no flags Details
/var/log/messages (166.18 KB, text/plain)
2012-05-17 21:16 EDT, efreeti
no flags Details

  None (edit)
Description efreeti 2012-05-17 01:32:26 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-6.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=en_US.UTF-8 quiet rhgb
event_log:      2012-05-17-13:32:11> Smolt profile successfully saved
kernel:         3.3.2-6.fc16.x86_64
reason:         [193964.020206] BUG: unable to handle kernel NULL pointer dereference at           (null)
time:           Wed 09 May 2012 09:47:34 PM MYT

backtrace:      Text file, 4882 bytes

smolt_data:
:
:
:General
:=================================
:UUID: ef4a16b3-82cb-4888-b6ee-efba00e0eb6d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3991.22
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 7840
:System Swap: 9887
:Vendor: Acer
:System: Aspire 5750G V1.18
:Form factor: Notebook
:Kernel: 3.3.4-3.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7241:4133:1284) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4133:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3572:4133:1285) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7200:4133:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5348:17239:4187:57377) pci, bcma-pci-bridge, NETWORK, BCM43225 802.11b/g/n
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(32902:7171:4133:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1284) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:4133:1284) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:257:4133:1284) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/VolGroup-lv_root / ext4 4096 4096 7723398 4736714 4659411 1933312 1649944 1649944
:/dev/sda5 /boot ext4 1024 1024 508745 416926 391326 128016 127782 127782
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 12614875 9182798 8550786 3162112 2971374 2971374
:
Comment 1 efreeti 2012-05-17 01:32:32 EDT
Created attachment 585102 [details]
File: backtrace
Comment 2 Josh Boyer 2012-05-17 09:39:22 EDT
The 'W' taint means something else triggered a warning before this oops.  Can you find that in /var/log/messages?

[193964.020206] BUG: unable to handle kernel NULL pointer dereference at           (null)
[193964.020274] IP: [<ffffffffa073c3e2>] map_private_extent_buffer+0x12/0x150 [btrfs]
[193964.020345] PGD 0 
[193964.020364] Oops: 0000 [#1] SMP 
[193964.020394] CPU 7 
[193964.020411] Modules linked in: btrfs zlib_deflate libcrc32c usb_storage tcp_lp ppdev parport_pc lp parport fuse fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek arc4 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd brcmsmac mac80211 brcmutil cfg80211 uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops acer_wmi soundcore snd_page_alloc crc8 cordic tg3 sparse_keymap bcma microcode joydev i2c_i801 iTCO_wdt iTCO_vendor_support uinput rfkill sdhci_pci sdhci mmc_core nouveau ttm i915 drm_kms_helper drm i2c_algo_bit mxm_wmi i2c_core video wmi [last unloaded: scs
i_wait_scan]
[193964.021249] 
[193964.021264] Pid: 14776, comm: umount Tainted: G        W    3.3.2-6.fc16.x86_64 #1 Acer Aspire 5750G/JE50_HR
[193964.021339] RIP: 0010:[<ffffffffa073c3e2>]  [<ffffffffa073c3e2>] map_private_extent_buffer+0x12/0x150 [btrfs]
[193964.021427] RSP: 0018:ffff88023acc19a8  EFLAGS: 00010292
[193964.021465] RAX: 0000000000000000 RBX: 0000000000000065 RCX: ffff88023acc19d8
[193964.021514] RDX: 0000000000000004 RSI: 000000000000007a RDI: 0000000000000000
[193964.021565] RBP: ffff88023acc19c8 R08: ffff88023acc19e0 R09: ffff88023acc19e8
[193964.021615] R10: 0000000000000000 R11: 0000000000000001 R12: 000000000000007a
[193964.021665] R13: 0000000000000000 R14: 00000000fffffffb R15: 0000000000001000
[193964.021716] FS:  00007f7d9a75f800(0000) GS:ffff88025fbc0000(0000) knlGS:0000000000000000
[193964.021772] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[193964.021813] CR2: 0000000000000000 CR3: 00000001a2d42000 CR4: 00000000000406e0
[193964.021863] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[193964.021913] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[193964.021963] Process umount (pid: 14776, threadinfo ffff88023acc0000, task ffff88020a50dcc0)
[193964.022022] Stack:
[193964.022039]  00000000fffffffb 0000000000000065 000000000000007a 0000000000000000
[193964.022103]  ffff88023acc1a18 ffffffffa0731aac ffff88023acc1a28 ffff88023acc19e8
[193964.022165]  0000000000000005 0000000001c8e000 0000000000000000 ffff88013baea1b0
[193964.022228] Call Trace:
[193964.022266]  [<ffffffffa0731aac>] btrfs_item_size+0x3c/0x90 [btrfs]
[193964.022320]  [<ffffffffa0705f32>] __btrfs_free_extent+0x232/0x6d0 [btrfs]
[193964.022377]  [<ffffffffa070a3a4>] run_clustered_refs+0x424/0x8f0 [btrfs]
[193964.022430]  [<ffffffff81013739>] ? __switch_to+0x139/0x410
[193964.022480]  [<ffffffffa070a9ee>] btrfs_run_delayed_refs+0x17e/0x4a0 [btrfs]
[193964.022533]  [<ffffffff810674fa>] ? del_timer_sync+0x3a/0x60
[193964.022576]  [<ffffffff8116e5ab>] ? kmem_cache_alloc+0x11b/0x150
[193964.022630]  [<ffffffffa06f9ffa>] ? btrfs_free_path+0x2a/0x40 [btrfs]
[193964.022690]  [<ffffffffa0762f76>] ? btrfs_run_delayed_items+0xa6/0x120 [btrfs]
[193964.022752]  [<ffffffffa071b6ab>] btrfs_commit_transaction+0x34b/0x820 [btrfs]
[193964.022808]  [<ffffffff8107a7f0>] ? remove_wait_queue+0x50/0x50
[193964.022862]  [<ffffffffa0734e1e>] ? btrfs_wait_ordered_extents+0x3e/0x1b0 [btrfs]
[193964.022902]  [<ffffffffa06f5004>] btrfs_sync_fs+0x74/0xf0 [btrfs]
[193964.022933]  [<ffffffff811ae0f3>] __sync_filesystem+0x63/0x90
[193964.022961]  [<ffffffff811ae19b>] sync_filesystem+0x4b/0x70
[193964.022989]  [<ffffffff8118351b>] generic_shutdown_super+0x3b/0xf0
[193964.023019]  [<ffffffff81183666>] kill_anon_super+0x16/0x30
[193964.024557]  [<ffffffffa06f7aaa>] btrfs_kill_super+0x1a/0x90 [btrfs]
[193964.025922]  [<ffffffff8118389c>] deactivate_locked_super+0x3c/0xa0
[193964.027269]  [<ffffffff811843de>] deactivate_super+0x4e/0x70
[193964.028720]  [<ffffffff8119ee50>] mntput_no_expire+0xd0/0x120
[193964.030148]  [<ffffffff8119fba1>] sys_umount+0x71/0x380
[193964.031568]  [<ffffffff8106cc64>] ? sys_rt_sigprocmask+0x84/0xd0
[193964.032916]  [<ffffffff815fc1e9>] system_call_fastpath+0x16/0x1b
[193964.034148] Code: 83 c0 01 48 89 85 78 ff ff ff e9 c0 fc ff ff 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 41 55 41 54 53 48 83 ec 08 66 66 66 66 90 <4c> 8b 27 4d 89 cd 48 89 cb 41 81 e4 ff 0f 00 00 4a 8d 04 26 4c 
[193964.036914] RIP  [<ffffffffa073c3e2>] map_private_extent_buffer+0x12/0x150 [btrfs]
[193964.038629]  RSP <ffff88023acc19a8>
[193964.040403] CR2: 0000000000000000
Comment 3 efreeti 2012-05-17 21:16:32 EDT
Created attachment 585321 [details]
/var/log/messages
Comment 4 efreeti 2012-05-17 21:17:30 EDT
I'm not good at Linux. I attach the section of /var/log/messages on the day the bug was submitted.
Comment 5 Dave Jones 2012-10-23 11:36:40 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 6 Justin M. Forbes 2012-11-14 10:35:54 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.